#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			mvers	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	gexiv2
Version		:	0.12.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Gexiv2 is a GObject-based wrapper around the Exiv2 library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://wiki.gnome.org/Projects/gexiv2

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	exiv2-devel
BuildRequires	:	gcc-c++
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	python3-pygobject
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
libgexiv2 is a GObject-based wrapper around the Exiv2 library. 
It makes the basic features of Exiv2 available to GNOME applications.
 

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS THANKS README
%{_libdir}/lib%{name}.so.2*
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
BuildRequires	:	pkg-config

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/%{name}-*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GExiv2-0.10.gir
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

#=============================================================================
%package		-n python3-%{name}
Summary		:	Python3 bindings for %{name}

#-----------------------------------------------------------------------------

Requires	:	%{name}		= %{version}-%{release}
Requires	:	python3-pygobject

#-----------------------------------------------------------------------------
%description		-n python3-%{name}
This package contains the python3 bindings for %{name}
 
#-----------------------------------------------------------------------------
%files			-n python3-%{name}
%{python3_sitearch}/gi/overrides/GExiv2.py
%{python3_sitearch}/gi/overrides/__pycache__/GExiv2*.pyc

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson								\
	--prefix=%{_prefix}					\
	--sysconfdir=%{_sysconfdir}				\
	--sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	 -Dgtk_doc=true						\
	..
	
%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	%{_smp_mflags}

popd


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#-----------------------------------------------------------------------------
%changelog
